package net.display;
import net.bo.KVille;
import net.ko.displays.KObjectDisplay;
import net.ko.kobject.KObject;
import net.ko.utils.KString;


public class VilleDisplay extends KObjectDisplay {

	@Override
	public String showInList(KObject ko, String memberName) {
		String result=super.showInList(ko, memberName);

		if("cp".equals(memberName) || "ville".equals(memberName)){
			result="<span class='editable' title='"+memberName+"'>"+result+"</span>";
		}
		if("btDetail".equals(memberName)){
			KVille ville=(KVille) ko;
			int nb=ville.getEntreprises().count();
			if(nb>0)
				result="<div><a id='alink-"+ville.getId()+"' class='default' title='Entreprises de "+ville.getVille()+"'>"+KString.pluriel(ville.getEntreprises().count(),"entreprise")+"</a></div>";
			else
				result="<div>"+KString.pluriel(ville.getEntreprises().count(),"entreprise")+"</div>";
		}
		return result;
	}
}
