-- phpMyAdmin SQL Dump
-- version 3.5.2.2
-- http://www.phpmyadmin.net
--
-- Client: 127.0.0.1
-- Généré le: Mar 03 Décembre 2013 à 02:38
-- Version du serveur: 5.5.27
-- Version de PHP: 5.4.7

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de données: `avisdb`
--
create DATABASE IF NOT EXISTS avisDb;
use avisDb;
-- --------------------------------------------------------

--
-- Structure de la table `critere`
--

CREATE TABLE IF NOT EXISTS `critere` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `libelle` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Contenu de la table `critere`
--

INSERT INTO `critere` (`id`, `libelle`) VALUES
(1, 'Accueil'),
(2, 'SAV');

-- --------------------------------------------------------

--
-- Structure de la table `detail`
--

CREATE TABLE IF NOT EXISTS `detail` (
  `idEvaluation` int(11) NOT NULL,
  `idCritere` int(11) NOT NULL,
  `note` int(11) NOT NULL,
  `commentaire` text NOT NULL,
  PRIMARY KEY (`idEvaluation`,`idCritere`),
  KEY `idCritere` (`idCritere`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `entreprise`
--

CREATE TABLE IF NOT EXISTS `entreprise` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rs` varchar(60) NOT NULL,
  `adresse` varchar(200) DEFAULT NULL,
  `mail` varchar(200) DEFAULT NULL,
  `tel` varchar(20) DEFAULT NULL,
  `idVille` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `idVille` (`idVille`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=13 ;

--
-- Contenu de la table `entreprise`
--

INSERT INTO `entreprise` (`id`, `rs`, `adresse`, `mail`, `tel`, `idVille`) VALUES
(3, 'Concessionnaire PEUGEOT ABCIS Centre', '27 avenue du Brezet', NULL, '04.73.98.03.06', 3),
(4, 'Centre auto Feu Vert Gap', '93 Avenue d''Embrun', NULL, '08.99.86.94.29', 4),
(5, 'Mary automobiles', '36, Boulevard André Detolle', NULL, '02.31.22.16.36', 1),
(6, 'Concessionnaire FIAT GMSA', 'RN6 - Route de Challes', NULL, '04.79.72.73.73', 5),
(7, 'Garage Crapart', '26 Boulevard Maréchal Juin', NULL, '02.31.95.55.15', 1),
(8, 'S.A.R.L Lenroully-Vivier', '35, Avenue Henry Chéron', NULL, '08.99.18.75.66', 1),
(9, 'Garage Colbert', '6 Rue Jean-Baptiste Colbert', NULL, '08.99.02.88.69', 1),
(10, 'Mary Automobiles Bayeux', 'Avenue Yves Dubois de la Cotardière', NULL, '02.31.92.09.77', 6),
(11, 'CGE Bodin', 'Route de Caen', NULL, '02.31.92.37.67', 6),
(12, 'Heudier Automobiles', 'Route du Molay-Littry', NULL, '02.31.92.15.90', 6);

-- --------------------------------------------------------

--
-- Structure de la table `evaluation`
--

CREATE TABLE IF NOT EXISTS `evaluation` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mail` varchar(250) NOT NULL,
  `date` int(11) NOT NULL,
  `idEntreprise` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idEntreprise` (`idEntreprise`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Structure de la table `ville`
--

CREATE TABLE IF NOT EXISTS `ville` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cp` varchar(5) NOT NULL,
  `ville` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=26 ;

--
-- Contenu de la table `ville`
--

INSERT INTO `ville` (`id`, `cp`, `ville`) VALUES
(1, '14000', 'Caen'),
(2, '14000', 'Authie'),
(3, '63000', 'CLERMONT FERRAND'),
(4, '5000', 'GAP'),
(5, '73490', 'LA RAVOIRE'),
(6, '14400', 'BAYEUX'),
(7, '14000', 'Authie Nord'),
(8, '50000', 'Saint-Lô'),
(9, '35000', 'Rennes'),
(10, '33000', 'BORDEAUX'),
(11, '59000', 'LILLE'),
(12, '22000', 'SAINT-BRIEUX'),
(14, '14330', 'LE MOLAY LITTRY'),
(15, '50100', 'Cherbourg'),
(16, '50200', 'CARENTAN'),
(17, '50130', 'La HAIE DUPUIT'),
(18, '27000', 'EVREUX'),
(19, '69000', 'LYON'),
(20, '22000', 'SAINT BRIEU'),
(21, '21000', 'DIJON'),
(22, '64000', 'BIARRITZ'),
(23, '14180', 'BIEVILLE-BEUVILLE'),
(24, '59000', 'LILLE'),
(25, '75000', 'PARIS');

--
-- Contraintes pour les tables exportées
--

--
-- Contraintes pour la table `detail`
--
ALTER TABLE `detail`
  ADD CONSTRAINT `detail_ibfk_2` FOREIGN KEY (`idEvaluation`) REFERENCES `evaluation` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `detail_ibfk_1` FOREIGN KEY (`idCritere`) REFERENCES `critere` (`id`) ON DELETE CASCADE;

--
-- Contraintes pour la table `entreprise`
--
ALTER TABLE `entreprise`
  ADD CONSTRAINT `entreprise_ibfk_2` FOREIGN KEY (`idVille`) REFERENCES `ville` (`id`) ON DELETE SET NULL ON UPDATE NO ACTION;

--
-- Contraintes pour la table `evaluation`
--
ALTER TABLE `evaluation`
  ADD CONSTRAINT `evaluation_ibfk_1` FOREIGN KEY (`idEntreprise`) REFERENCES `entreprise` (`id`) ON DELETE CASCADE;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
